=== debian/changelog ===
debian-cd (2.2.20) unstable; urgency=medium

  * Joey Hess
    - Remove bogus init=/linuxrc, we have not had a linuxrc in d-i for a long
      time and I don't know how that managed to work.
    - Update path to ia64 cdrom/boot.img.
    - Tweaked exclude-udebs-i386, removing fat-modules as it's not available
      otherwise if booting from floppy, and removing excludes of partconf,
      partitioner, and discover2-data-udeb, which are not in unstable for i386
      any longer.
    - Updated exclude-udebs to match the current CD initrd package list.
    - Access floppy reorg.
    - Sparc daily builds moved to joshk's builds.
    - Update tasks for 2.4.27 and 2.6.8 kernels.
    - Remove access floppies to save space on netinsts. Also remove
      net-drivers floppy and some other things not really needed for install
      from CD.
    - Add 2.6 kernels to ia64 netinst CDs (and incidentially, update to
      2.4.27).
    - Drop i386 floppies that have gone away in d-i.
    - Put 2.4, not 2.6 kernels on hppa cd.
  * Stephen R. Marenka
    - Add support for m68k reorganization.
    - Bump m68k 2.4 kernels to 2.4.27.
    - Handle missing m68k/bvme6000 floppy.
  * Petter Reinholdtsen
    - New variable SPLASHPNG pointing to replacement splash image on i386.
  * Kenshi Muto
    - Fix cp routine around EXTRA_DISK_IMAGES in tools/boot/sarge/boot-i386
      (add space to cp arguments)
    - Add floppy/asian-root.img, floppy/mideast-root.img and
      floppy/cyrillic-root.img to EXTRA_DISK_IMAGES (but may it be treated
      as DISK_IMAGES?)
    - Fix typo in test evaluation. (tools/boot/sarge/boot-i386)
    - Add localization-config.
  * Colin Watson
    - Add "--" end of installer kernel params markers to yaboot.conf.
    - Drop compatibility with old powerpc 2.4/2.6 d-i image layout, since
      the changed image layout reached sarge a while ago.
    - Remove 2.4 images from power3 and power4; those few who want them can
      netboot.
    - Remove 2.6 PReP images from power3 and power4, as no such machines
      exist.
    - Hardlink powerpc and powerpc/minimal vmlinux files together, since
      they're identical.
    - Remove powerpc-small-pmac kernel from the netinst. base-installer
      hasn't installed it since April, and according to Sven it's only
      useful for building floppies.
  * Santiago Garcia
    - Try to fix powerpc DVD builds via -hfs-parms MAX_XTCSIZE.
    - Add prep powerpc support.
    - Update debian-installer tasks.
    - Add tools/calc script to update .calc files with up to date
      estimations on the iso size parameters.
  * Thiemo Seufer
    - Add arcboot to the mips tasks/base-sarge list, like it is done for
      other bootloaders.
    - Add a default bootfile named sashARCS for mips, aliased to r4k-ip22.
  * Joshua Kwan
    - Add ramdisk_size=16384 to silo.conf. closes: #274958
  * Steve McIntyre
    - Another upload before sarge.
	
 -- Steve McIntyre <93sam@debian.org>  Fri,  22 Oct 2004 21:12:15 +0100

debian-cd (2.2.19) unstable; urgency=medium

  * Steve McIntyre
    - (Hopefully this time) Final medium-urgency upload to get a
      recent debian-cd in before the sarge release. A few bugfixes needed:
    - Removed silly build-dep-indep on mkisofs. Closes: #258018
    - Fixed typo in tools/boot/sarge/boot-i386. Closes: #267026
  * Santiago Garcia
    - Change build.sh to allow building non complete CDs, like netinsts.

 -- Steve McIntyre <93sam@debian.org>  Fri, 20 Aug 2004 14:59:11 +0100

debian-cd (2.2.18) unstable; urgency=medium

  * Steve McIntyre
    - Final medium-urgency upload to get a recent debian-cd in before
      the sarge release.
    - Update default version to sarge/3.1 for a sarge release.
    - Sarge is going to have more than 9 CDs; make sure we clean up all of
      the working dirs.
    - Removed the -T option to mkisofs. We don't need the TRANS.TBL files
      any more, and we should save the space.
    - Added support for SIZE_MULT_x when calculating full disc
      sizes. Best use is on m68k and powerpc images where HFS hybrid
      metadata seems to add ~10% to the size of the image.
    - Various updates to update-cd to cope with changes r0->r2.
    - Updated copy of CONF.sh in debian directory to match the working copy in .
    - Small lintian fixes.
  * Raphael Hertzog
    - Add missing Build-Depends-Indep. Closes: #258018
    - Remove debian-keyring.tar.gz from the doc dir.
    - Don't include Contents-$ARCH.gz on netinst/businesscard CD.
  * Joey Hess
    - Include sarge installation manual on sarge CDs.
    - Remove install/doc, and just use doc/install.
    - Patch from Thiemo Seufer to add mips and mipsel kernels.
      Also, remove some packages from arches that do not need them.
    - Remove module-init-tools-udeb from the CD.
    - Remove raidtools2-udeb from the exclude list, while nothing depends on
      it, it can be handy for manually setting up raid.
    - discover has been renamed to discover1
    - On i386, include discover on the CD as well, this is discover verson
      2, and is used with the 2.6 kernel.
    - Based on user reports, remove the read-only, and pass "rw" to the kernel
      in silo.conf.
    - Include only 2.4 ia64 kernels on the d-i CD for now, the 2.6 ones
      are not a good choice ATM according to bdale.
    - silo.conf fixes.
    - Fix mirror_check to look under LOCALDEBS for files if it is set.
    - Add mdadm to the netinst CD, needed for software raid installs.
    - Add lvm2 (and dependencies libdevmapper1.00 and lvm-common)
      for new partman. Left lvm10 on the CD for now, remove later.
    - Add jfsutils to netinst cds.
    - Add usbutils to netinst cds, it'll be installed by a future version
      of hw-detect.
    - Add tools/get_diskusage.pl (originally by Petter).
    - Add update-popcon Makefile target (taken from Skolelinux).
    - Add a KERNEL_PARAMS variable, which can be used to add kernel parameters
      and is useful for creating things like CDs that install in critical

