=== debian/changelog ===
debian-cd (2.2.22) unstable; urgency=critical

  * Steve McIntyre
    - Prepared YA "last before sarge" debian-cd release
    - Urgency "Critical" to make sure we make it in...
  * Joey Hess
    - Add post-sarge udebs rescue-check, initrd-preseed, and preseed-common
      to the udeb exclude list since these will be/are inluded on sid initrds.
    - Add etch directories; point sid symlinks to them.
    - Add rescue stanzas to etch isolinux.cfg. Rescue mode is supported in
      post-sarge d-i images only.
    - Add support for f4.txt that is for systems with the 2.6 kernel.
    - Exclude new mouse-modules udebs from CDs until something in d-i uses
      them.
    - debian-installer task files renamed to include distro name and branched
      for etch.
  * Steve McIntyre
    - Make woody's post-boot-mipsel script cope with extra fields in the
      output of sarge's isoinfo
    - Add Suggests: on netpbm and syslinux. Closes: #301345
    - Count the total number of binary and source discs better; sarge can
      have more than 9 CDs, so ?.packages doesn't cut it any more.
    - Don't copy the whole d-i cdrom directory onto CD1 for amd64.
      Closes: #306926
    - Don't copy boot.img.gz onto amd64 CD1.
    - Added Manty's testingcds script as an example of debian-cd use
    - Updated sarge task lists to match the latest sarge CD build
  * Santiago Garcia
    - Allow the usage of a local mirror of the daily d-i builds to be used
      for sid_d-i builds, this is done by setting DI_WWW_HOME=default and
      DI_DIR=/path/to/the/mirror
    - Add autorun capabilities to i386 cds so that instead of getting the
      "what do you want Windows to do" question under XP, we get the html
      README started. Closes: #185238
    - Make the jigdos use the same naming scheme as the isos, as per my
      proposal to the list.
    - Add some amd64 patches from Goswin: Fixed boot-amd64 and added
      some packages missing on netinsts.
    - Port to etch previous changes I commited for sarge.

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Jun 2005 13:04:33 +0100

debian-cd (2.2.21) unstable; urgency=low

  * Steve McIntyre:
    - Prepared YA "last before sarge" debian-cd release.
  * Raphael Hertzog
    - One line patch to correct a five year old bug that nobody noticed !
      Closes: #285382
    - Change maintainer to "Debian CD Group <debian-cd@lists.debian.org>" and
      put myself into Uploaders (as well as Santiago Garcia Mantinan & Steve
      McIntyre). That's because I'm not keeping up well enough with debian-cd
      and I need more people involved in managing bugs.
    - Apply patch from Horms <horms@debian.org> to fix some problems with
      inclusion of local udebs. Closes: #258029
    - Apply another patch from horsm@debian.org to try to look for d-i images
      in "local" dirs first. Closes: #258026
    - Use LC_ALL=C when calling apt-cache since the output is now translated.
      Closes: #290959
  * Steve McIntyre
    - Substantially updated update-cd:
       - Cope with Woody r3 updates taking more than 1 CD per
         architecture.
       - (Optionally) use JTE mkisofs extensions to create jigdo
         files directly.
    - Added amd64 support in several places, looking (oddly) very similar
      to i386 for now. The help texts displayed by isolinux at boot still
      need updating - HELP!
  * Stephen R. Marenka
    - m68k: add kernel-image-2.4.27-amiga to debian-installer+kernel.
  * Santiago Garcia
    - Update debian-installer's tasks.
    - Update calc script and calc files.
    - Make i386 cds 8.3 filenaming compatible again.
    - Workaround the two kernels problem on hppa.
    - Fix the kernel-image-2.4.27-amiga thing on generate_di+k_list.
    - Add support for arm to generate_di+k_list.
  * Joey Hess again:
    - Since amd64 is not on standard debian mirrors, and generate_d-i+k_list
      must be runnable on them, make it chack for absence of amd64 Packages
      files and add a dummy kernel for amd64. This will need to be manually
      kept up-to-date by the amd64 people for now.
    - Didn't fix generate_di_list the same way, since doing so would be too
      hard. Next time tasks/debian-installer is updated using this script on
      a machine w/o the unofficial amd64 archive, the am64 info in the file
      will be lost.
    - Add DO NOT EDIT warning messages to generated files in cvs.
    - Check and revert manual modifications to tasks/base-sarge. This file is
      automatically generated and those mods would have been lost:
        - Add fileutils to generate_d-i+k_list, "until kernels get fixed",
          whatever that means.
        - arcboot was already in generate_d-i+k_list.
    - Update tasks/debian-installer+kernel using generate_d-i+k_list.
    - Sort package lists in tasks/base-sarge to ease comparisons when
      updating.
    - Update tasks/base-sarge for debootstrap 0.2.45. This includes the
      following removals:
         - aboot: already listed in debian-installer+kernel
         - gcc-3.2-base, libdb2, libgcrypt1, libgnutls7, libident,
           libdb2, libtasn1-0: obsolete
         - modconf: obsoleted by d-i
         - setserial: not base anymore
         - slang1: turned into slang1a-utf8
         - libident: not needed by base anymore
         - lilo: in debian-installer+kernel
         - mbr: not installed anymore
         - pcmcia-cs: in debian-installer+kernel
         - syslinux: not installed
         - "filesutils": typo; fileutils in generate_d-i+k_list for m68k
         - quik: in debian-installer+kernel
         - yaboot: in debian-installer+kernel
         - arcboot: in debian-installer+kernel
         - delo: in debian-installer+kernel
      And the following additions:
         - libdb4.2, libgcrypt11, libgcrypt7, libgnutls10, libgnutls11,
           libgpg-error0, libtasn1-2: new libraries
         - console-tools: now installed by debootstrap even on s390

