=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs README*
-	dh_installexamples
+	dh_installexamples contrib/testingcds
 	dh_installmenu
 #	dh_installemacsen
 #	dh_installinit
