## debian-cd 2.2.23

=== Makefile ===
--- 
+++ 
@@ -100,7 +100,7 @@
 set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
 strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin
 add_secured=$(BASEDIR)/tools/add_secured
-md5sum=/usr/bin/md5sum.textutils
+md5sum=/usr/bin/md5sum
 fastsums=$(BASEDIR)/tools/fast_sums
 
 BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
@@ -413,3 +413,4 @@
 src-tree: ok src-list $(SDIR)/CD1/debian
 $(SDIR)/CD1/debian:
 	@echo "Adding the required directories to the source CDs ..."
+	$(Q)set -e; \
