=== debian/changelog ===
debian-cd (2.2.23) unstable; urgency=low

  * Raphael Hertzog
    - Patch from Sven Luther for pegasos support already applied
      by Steve McIntyre. Closes: #311925
  * Steve McIntyre
    - Added sed hack to make sarge appear as "stable" in the Release
      files we generate on the CDs (for the sarge release). Removed the
      hack sgain before the 2.2.23 package build.
    - Download the release notes and try to fit them onto
      CD#1. Updated sarge's README.html.in to point to them
    - Updated tools/add-bin-doc to stop warnings on this.
    - Added patch from Sven Luther to add a forth script to make
 	  ppc/pegasos easier to boot.  Closes: #311925
    - Re-add the kernel-headers packages to match kernel images (only
      on i386 and amd64). Closes: #249386
    - Made list2cds more verbose
    - Added tools/sarge/upgrade-hppa.sh and tools/sarge/upgrade-sparc.sh
      to install the upgrade-kernel bits on CD#1
    - Added tools/dedicated_source: simple script used to add extra
      source packages onto _binary_ CDs. Used for the amd64 sarge release
      so far.
    - Added patch from Frans Pop to use $CODENAME for exclusions.
      Closes: #320206
    - We no longer need to use md5sum.textutils, as dpkg no longer ships a
      non-64-clean version. We can now just use plain "md5sum".
      Closes: #313613
  * Joey Hess
    - Synced up all sarge changes to etch.
    - Use dpkg --print-architecture instead of now-deprecated
      --print-installation-architecture
    - Completed access cd-drivers transition.
    - d-i renamed syslinux.txt to boot.txt, us new name instead of
      renaming file from d-i.
    - Use isolinux config files included in the d-i debian-cd_info tarball
      so it does not need to be maintained in both places.
    - Repository moved to svn, update docs to reflect move.
    - Add hw-detect-full to exclude list for etch, renamed to disk-detect.
    - Switch mipsel to use my builds.
    - Applied s390 boot support patch by Frans Pop. Closes: #318021
    - partman udeb renamed to partman-base
  * Stephen R. Marenka
    - Changed m68k boot for etch to handle etch changes in d-i.

 -- Steve McIntyre <93sam@debian.org>  Tue, 23 Aug 2005 00:02:40 +0100
