## debian-cd 2.2.24

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Main Makefile for YACS
+# Main Makefile for debian-cd
 #
 # Copyright 1999 Raphal Hertzog <hertzog@debian.org>
 # See the README file for the license
@@ -47,7 +47,7 @@
 SRCVOLID="Debian $(DEBVERSION) Src-$$num"
 endif
 ifndef MKISOFS
-export MKISOFS=/usr/bin/mkisofs
+export MKISOFS=mkisofs
 endif
 ifndef MKISOFS_OPTS
 #For normal users
@@ -66,12 +66,9 @@
 ifndef DOJIGDO
 export DOJIGDO=0
 endif
-ifndef JIGDOSCRIPT
-JIGDOSCRIPT=$(BASEDIR)/tools/jigdo_header
-endif
-
+
+# Netinst/businesscard CD have different udeb_include and udeb_exclude files
 ifndef UDEB_INCLUDE
-# Netinst/businesscard CD have different udeb_include files
 ifeq ($(INSTALLER_CD),1)
 UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_businesscard_udeb_include
 endif
@@ -79,11 +76,20 @@
 UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_netinst_udeb_include
 endif
 endif
-# Default udeb_include files.
 ifndef UDEB_INCLUDE
 UDEB_INCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/$(ARCH)_udeb_include
 endif
-
+ifndef UDEB_EXCLUDE
+ifeq ($(INSTALLER_CD),1)
+UDEB_EXCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/businesscard_udeb_exclude
+endif
+ifeq ($(INSTALLER_CD),2)
+UDEB_EXCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/netinst_udeb_exclude
+endif
+endif
+ifndef UDEB_EXCLUDE
+UDEB_EXCLUDE=$(BASEDIR)/data/$(DI_CODENAME)/udeb_exclude
+endif
 
 ## Internal variables  
 apt=$(BASEDIR)/tools/apt-selection
@@ -100,8 +106,14 @@
 set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
 strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin
 add_secured=$(BASEDIR)/tools/add_secured
-md5sum=/usr/bin/md5sum
+md5sum=md5sum
 fastsums=$(BASEDIR)/tools/fast_sums
+jigdo_cleanup=$(BASEDIR)/tools/jigdo_cleanup
+grab_md5=$(BASEDIR)/tools/grab_md5
+dedicated-src=$(BASEDIR)/tools/dedicated_source
+make_image=$(BASEDIR)/tools/make_image
+add_debs=$(BASEDIR)/tools/add_debs
+add_source_packages=$(BASEDIR)/tools/add_source_packages
 
 BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
 ADIR=$(APTTMP)/$(CODENAME)-$(ARCH)
@@ -114,6 +126,9 @@
 else
 forcenonusoncd1=0
 endif
+
+# Ensure that debootstrap is in the path.
+PATH:=$(PATH):/usr/sbin
 
 ## DEBUG STUFF ##
 
@@ -169,13 +184,6 @@
 	@echo If we have FORCENONUSONCD1 set, we must also have NONUS set; false
 endif
 endif
-ifneq "$(DOJIGDO)" "0"
-ifndef JIGDOCMD
-	@echo JIGDOCMD undefined -- set up CONF.sh; false
-endif
-else
-export JIGDOCMD=false
-endif
 
 ## INITIALIZATION ##
 
@@ -192,14 +200,14 @@
 $(ADIR):
 	$(Q)mkdir -p $(ADIR)
 	$(Q)mkdir -p $(ADIR)/apt-ftparchive-db
-# Make sure unstable/sid points to testing/sarge, as there is no build
-# rule for unstable/sid. TODO: switch it to point to etch.
+# Make sure unstable/sid points to testing/etch, as there is no build
+# rule for unstable/sid.
 unstable-map:
 	$(Q)if [ ! -d $(BASEDIR)/data/sid ] ; then \
-		ln -s sarge $(BASEDIR)/data/sid ; \
+		ln -s etch $(BASEDIR)/data/sid ; \
 	fi
 	$(Q)if [ ! -d $(BASEDIR)/tools/boot/sid ] ; then \
-		ln -s sarge $(BASEDIR)/tools/boot/sid ; \
+		ln -s etch $(BASEDIR)/tools/boot/sid ; \
 	fi
 
 ## CLEANINGS ##
@@ -211,11 +219,11 @@
 	$(Q)rm -rf $(BDIR)/*_NONUS
 	$(Q)rm -f $(BDIR)/*.filelist*
 	$(Q)rm -f  $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
-	         $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp
+	         $(BDIR)/upgrade-stamp $(BDIR)/secured-stamp $(BDIR)/md5-check
 src-clean:
 	$(Q)rm -rf $(SDIR)/CD[1234567890]*
 	$(Q)rm -rf $(SDIR)/*_NONUS
-	$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp
+	$(Q)rm -rf $(SDIR)/sources-stamp $(SDIR)/secured-stamp $(SDIR)/md5-check
 
 # Completely cleans the current arch tree
 realclean: distclean
@@ -224,11 +232,9 @@
 	$(Q)echo "Cleaning the binary build directory"
 	$(Q)rm -rf $(BDIR)
 	$(Q)rm -rf $(ADIR)
-	$(Q)rm -rf $(TDIR)/jigdofilelist
 src-distclean:
 	$(Q)echo "Cleaning the source build directory"
 	$(Q)rm -rf $(SDIR)
-	$(Q)rm -rf $(TDIR)/jigdofilelist
 
 ## STATUS and APT ##
 
@@ -359,21 +365,27 @@
 
 # Build the raw list (cpp output) with doubles and spaces
 $(BDIR)/rawlist:
-# Dirty workaround for saving space on netinst images, we add some hints.
+# Dirty workaround for saving space, we add some hints to break ties.
 # This is just a temporal solution, list2cds should be a little bit less
 # silly so that this is not needed. For more info have a look at
 # http://lists.debian.org/debian-cd/2004/debian-cd-200404/msg00093.html
 ifneq ($(INSTALLER_CD),1)
-	/bin/echo -e "mawk\nexim4-daemon-light\nunifont" >>$(BDIR)/rawlist
-endif
+ifeq ($(INSTALLER_CD),2)
+	/bin/echo -e "mawk\nunifont\npptp-linux" >>$(BDIR)/rawlist
+else
+	/bin/echo -e "mawk\nexim4-daemon-light\nunifont\npptp-linux" >>$(BDIR)/rawlist
+endif
+endif # INSTALLER_CD 1
 ifdef FORCENONUSONCD1
 	$(Q)$(apt) cache dumpavail | \
 		grep-dctrl -FSection -n -sPackage -e '^(non-US|non-us)' - | \
 		sort | uniq > $(BDIR)/Debian_$(CODENAME)_nonUS
 endif
-	$(Q)if [ -x "/usr/sbin/debootstrap" -a _$(INSTALLER_CD) != _1 ]; then \
-		/usr/sbin/debootstrap --arch $(ARCH) --print-debs $(CODENAME) \
+	$(Q)if [ _$(INSTALLER_CD) != _1 ]; then \
+		mkdir -p $(TDIR); \
+		debootstrap --arch $(ARCH) --print-debs $(CODENAME) $(TDIR)/debootstrap.tmp file:$(MIRROR) \
 		| tr ' ' '\n' >>$(BDIR)/rawlist; \
+		rm -rf $(TDIR)/debootstrap.tmp; \
 	fi
 	$(Q)perl -npe 's/\@ARCH\@/$(ARCH)/g' $(TASK) | \
 	 cpp -nostdinc -nostdinc++ -P -undef -D ARCH=$(ARCH) -D ARCH_$(subst -,_,$(ARCH)) \
@@ -395,22 +407,3 @@
 
 ## DIRECTORIES && PACKAGES && INFOS ##
 
-# Create all the needed directories for installing packages (plus the
-# .disk directory)
-tree: bin-tree src-tree
-bin-tree: ok bin-list $(BDIR)/CD1/debian
-$(BDIR)/CD1/debian:
-	@echo "Adding the required directories to the binary CDs ..."
-	$(Q)set -e; \
-	 for i in $(BDIR)/*.packages; do \
-		dir=$${i%%.packages}; \
-		dir=$${dir##$(BDIR)/}; \
-		dir=$(BDIR)/CD$$dir; \
-		mkdir -p $$dir; \
-		$(add_dirs) $$dir; \
-	done
-
-src-tree: ok src-list $(SDIR)/CD1/debian
-$(SDIR)/CD1/debian:
-	@echo "Adding the required directories to the source CDs ..."
-	$(Q)set -e; \
