=== debian/changelog ===
debian-cd (2.2.24) unstable; urgency=low

  [ Bdale Garbee ]
  * update lists of udebs for hppa to reflect kernel name changes, etc

  [ Richard Hirst ]
  * Fix ramdisk_size value for hppa for both etch and sarge

  [ Frans Pop ]
  * Update for Sparc:
    - sparc64: switch to 2.6.12 kernel; make CD multiboot 2.6 and 2.4,
      using 2.6.12 by default
    - sparc32: drop 2.6 kernel support as it has no 2.6.12 kernel
    - restructure silo.conf with proper support for install, expert and
      rescue boot options

  [ Joey Hess ]
  * Remove contrib/testingcds. For now the entire setup directory used to
    build Debian CDs is in svn at svn+ssh://svn.debian.org/svn/debian-cd/setup
  * Point sid symlinks at etch.
  * Now build etch CDs by default.
  * Remove DH_CODENAME unset from CONF.sh, to allow it to be passed in
    via the environemtn. Closes: #326814
  * Remove Debian_sid task, which dates from before woody and should not be
    used.
  * Don't hardcode the path to debootstrap. And assume there is a debootstrap
    available, as it is a dependency.
  * Since debootstrap is in sbin, add sbin to PATH.
  * Remove other random hadcoded paths to programs in bin.
  * generate_di+k_list: Deal with kernel package name change. All arches
    with 2.6 kernels will now include only linux-image packages.
  * generate_di+k_list: Add some mips and mipsel subarches that are new in
    etch or were missing before.
  * generate_di+k_list: Use kernel-image-2.4-<subarch> and
    linux-image-2.4-<subarch> packages for as many architectures as we can,
    instead of enumerating the versions of the kernels to include. Much
    cleaner and more robust and will make d-i more robust as well.
  * Update task.list with new etch (and some old sarge) tasks.
  * Update task-full-etch and improve the generation recipe.
  * Change debootstrap --print-debs calls to pass debootstrap a mirror to use
    and a temporary directory to work in, so it will avoid downloading the
    Packages files from its hardcoded mirror, and work on amd64 and other
    situations with a non-official Debian mirror. Neccessary since the new
    version of debootstrap has dependency resolution enabled by default.
  * Don't chmod amiboot if it doesn't exist.

  [ Sven Luther ]
  * Fixed powerpc cd builds, added powerpc64 kernels to etch/sid, dropped
    2.6.8 and remaining 2.4.27 kernels, except the nubus/apus ones. Added IBM
    chrp boot files. (Closes: #328274)

  [ Joey Hess ]
  * Order task-essential-etch using task.list, and regen to match current
    tasksel.
  * Add acpid to generate_di+k_list so it's on the netinst.
  * Add more udebs to excludes trying to trim the netinst size down.
  * Exclude cdebconf from CD1s to prevent both it and debconf being pulled in
    by | dependencies. cdebconf isn't usable right now and has a large
    dependency chain.
  * Exclude inetutils-inetd and openbsd-inetd from CD1 for similar resons.

  [ Colin Watson ]
  * generate_di+k_list: Add hfsutils for powerpc; it's no longer in base but
    yaboot-installer needs it.

  [ Steve McIntyre ]
  * For full CD/DVD builds, check that we have an "extra" override
    containing task info. If not, use the sid override instead.

  [ Joey Hess ]
  * Add default UDEB_EXCLUDE files that differ for businesscard, netinst, and
    full CDs.
  * Make the full CD have apt-mirror-setup in its udeb_exclude file, to avoid
    that component being installed to satisfy apt-setup's dependency on it (I
    hope), so that the user is not unncessarily asked for a mirror during a
    full CD install, but is still asked for one during installs from the
    smaller CDs.
  * Add initramfs-tools to generate_d-i+k_list

  [ Steve McIntyre ]
  * Merged in MAJOR changes for jigdo creation - the long-separated JTE
    patch.
  * Split out the actual ISO/jigdo creation code from the Makefile into
    tools/make_image

  [ Joey Hess ]
  * Explicitly list ppp and pppoeconf in generate_d-i+k_list, since they are
    not installed by debootstrap and we do want them on netinst CDs.

  [ Steve McIntyre ]
  * Split out the code that copies debs into the temporary trees and
    creates Packages files from the Makefile into tools/add_debs
  * Split out the code that copies sources into the temporary trees and
    creates Sources files from the Makefile into tools/add_source_packages

  * MAJOR CHANGE: Stop using apt-ftparchive to generate the Packages
    files on each CD/DVD; instead grab the details for each package
    directly from the Packages file in the archive. MUCH MUCH faster,
    and uses less code too. Affected scripts:

    + tools/scanpackages now just generates Release files. argv[1]
      used to be "scan" or "install", but no longer used

    + tools/add_debs slightly simplified - old code removed

    + tools/add_packages now dumps out Packages file fragments as each
      .deb and .udeb is copied into the temporary trees

    + WARNING: Any uses of the "before-scanpackages" hook may now
      break - shout if you're affected.

  * Fix the new Packages file generation to cope with LOCAL packages
    too. A simple change to add checking for /local/ ; hopefully it
    will do the trick.

  * Use "|" rather than "/" as a sed separator in the etch boot-amd64
    and boot-i386 scripts. Closes: #342344

  * Add the ppptp-linux package to CD#1. Quick hack adds this from the
    Makefile for now; FIXME later... Closes: #255367

  * Minor change to correct the README - BASEDIR var means we don't
    have to cd to /usr/share/debian-cd/ any more. Closes: #280191

  [ Joey Hess ]
  * Update base-etch with current debootstrap, and also update the recipe to
    create it due to changes in debootstrap.
  * Remove exim4 from the netinst CDs by adding further insane cruft to the
    insane cruft already in the Makefile. (debootstrap no longer installs an
    MTA, so this should save some useful space on the netinsts)
  * Remove lvm10 from generate_di+k_list, d-i uses lvm2 now.
